<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>fuel.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>back</object-name>
    <object-name>barre</object-name>
    <object-name>texte</object-name>
    <object-name>digit-c1</object-name>
    <object-name>digit-c2</object-name>
    <object-name>digit-c3</object-name>
    <object-name>digit-c4</object-name>
    <object-name>led1</object-name>
    <object-name>led2</object-name>
    <object-name>led3</object-name>
    <object-name>led4</object-name>
    <object-name>led5</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>back</object-name>
    <object-name>barre</object-name>
    <object-name>texte</object-name>
    <object-name>digit-c1</object-name>
    <object-name>digit-c2</object-name>
    <object-name>digit-c3</object-name>
    <object-name>digit-c4</object-name>
    <object-name>led1</object-name>
    <object-name>led2</object-name>
    <object-name>led3</object-name>
    <object-name>led4</object-name>
    <object-name>led5</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>texte</object-name>
    <object-name>barre</object-name>
    <object-name>digit-c1</object-name>
    <object-name>digit-c2</object-name>
    <object-name>digit-c3</object-name>
    <object-name>digit-c4</object-name>
    <object-name>led1</object-name>
    <object-name>led2</object-name>
    <object-name>led3</object-name>
    <object-name>led4</object-name>
    <object-name>led5</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>/controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>digit-c4</object-name>
    <property>/consumables/fuel/total-fuel-kg</property>
    <factor> 0.1 </factor>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>digit-c3</object-name>
    <property>/consumables/fuel/total-fuel-kg</property>
    <factor> 0.01 </factor>
    <step>  10 </step>
    <scroll> 1 </scroll>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>digit-c2</object-name>
    <property>/consumables/fuel/total-fuel-kg</property>
    <factor> 0.001 </factor>
    <step> 100 </step>
    <scroll> 1 </scroll>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>digit-c1</object-name>
    <property>/consumables/fuel/total-fuel-kg</property>
    <factor>  0.0001 </factor>
    <step> 1000 </step>
    <scroll>  1 </scroll>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>scale</type>
    <object-name>barre</object-name>
    <property>/consumables/fuel/total-fuel-norm</property>
    <x-factor>   0.000 </x-factor>
    <y-factor>   0.000 </y-factor>
    <z-factor> 510.000 </z-factor>
    <x-offset>   1.000 </x-offset>
    <y-offset>   1.000 </y-offset>
    <z-offset>   1.000 </z-offset>
    <center>
      <x-m>  0.00115 </x-m>
      <y-m> -0.00407 </y-m>
      <z-m> -0.04122 </z-m>
    </center>
  </animation>

  <animation>
    <type>select</type>
    <object-name>led1</object-name>
    <condition>
      <and>
        <less-than>
          <property>/consumables/fuel/tank[0]/level-kg</property>
          <value>1</value>
        </less-than>
        <less-than>
          <property>/consumables/fuel/tank[3]/level-kg</property>
          <value>1</value>
        </less-than>
      </and>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>led2</object-name>
    <condition>
      <and>
        <less-than>
          <property>/consumables/fuel/tank[1]/level-kg</property>
          <value>1</value>
        </less-than>
        <less-than>
          <property>/consumables/fuel/tank[2]/level-kg</property>
          <value>1</value>
        </less-than>
      </and>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>led3</object-name>
    <condition>
      <less-than>
        <property>/consumables/fuel/total-fuel-kg</property>
        <value>850</value>
      </less-than>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>led4</object-name>
    <condition>
      <less-than>
        <property>/consumables/fuel/total-fuel-kg</property>
        <value>1500</value>
      </less-than>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>led5</object-name>
    <condition>
      <less-than>
        <property>/consumables/fuel/total-fuel-kg</property>
        <value>600</value>
      </less-than>
    </condition>
  </animation>

</PropertyList>
